## ace-of-penguins 1.1

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	$(MAKE) -C lib
 	$(MAKE) -C tests
 	$(MAKE) -C games
+
+install:
+	$(MAKE) -C games install	
 
 % :
 	$(MAKE) -C lib $@
@@ -49,4 +52,4 @@
 	$E
 
 tar :
-	tar cfz ace-src.tar.gz `ls -1 ${SRC} | sort`
+	./mkdist
