=== games/Makefile ===
--- 
+++ 
@@ -18,12 +18,16 @@
 CC = gcc
 CFLAGS = -g -O6 -MMD -I../lib -L/usr/X11R6/lib
 
+INSTALL = install
+
 .SUFFIXES:
 .PRECIOUS: .o .c
 
 GAMES = \
 	freecell \
 	golf \
+	mastermind \
+	merlin \
 	minesweeper \
 	pegged \
 	solitaire \
@@ -31,6 +35,10 @@
 	$E
 
 all : LIB $(GAMES)
+
+install: all
+	strip $(GAMES)
+	cp $(GAMES) /usr/local/bin
 
 % : %.o %-help.o %-img.o ../lib/cardlib.a
 	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
@@ -51,6 +59,18 @@
 	../lib/gif2pack -b appimglib -o $@ $(MINESWEEPER_GIFS)
 
 minesweeper : minesweeper.o minesweeper-help.o minesweeper-img.o ../lib/nocards.o ../lib/cardlib.a
+	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
+
+merlin-img.c : merlin.gif merlin-c.gif merlin-b.gif ../lib/gif2pack
+	../lib/gif2pack -b appimglib -o $@ merlin.gif merlin-c.gif merlin-b.gif
+
+merlin : merlin.o merlin-img.o merlin-help.c ../lib/nocards.o ../lib/cardlib.a
+	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
+
+mastermind-img.c : $(wildcard mastermind*.gif) ../lib/gif2pack
+	../lib/gif2pack -b appimglib -o $@ mastermind*.gif
+
+mastermind : mastermind.o mastermind-img.o mastermind-help.c ../lib/nocards.o ../lib/cardlib.a
 	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
 
 pegged-img.c : pegged.gif pegged-h.gif pegged-p.gif ../lib/gif2pack
