=== lib/Makefile ===
--- 
+++ 
@@ -81,6 +81,7 @@
 	table_in.o \
 	table_ky.o \
 	table_rd.o \
+	table_rn.o \
 	$E
 
 cardlib.a : $(CARDOBJS)
@@ -88,7 +89,7 @@
 	ar rvs $@ $^
 
 clean :
-	-@rm -f *.o *.a *.d *~ text2c gif2pack make-cards
+	-@rm -f *.o *.a *.d *~ text2c gif2pack make-cards card/* cards.c
 
 D=$(wildcard *.d)
 ifneq ($D,)
