## ace-of-penguins 1.3

=== debian/changelog ===
ace-of-penguins (1.3-7) unstable; urgency=low

  * debian/ace-of-penguins.lintian-overrides
    - Update entries according to changed messages.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
      Change libpng12-dev to libpng-dev; libpng 1.5 transition
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601>.
    - (Depends): Add ${misc:PreDepends} for multiarch-support.
    - (Pre-Depends): New. Add multiarch-support.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update to DEP5 1.0.
  * debian/rules
    - Update to use TABs.
    - (override_dh_auto_configure): Use dh_auto_configure with params.
    - (override_dh_auto_build): Clean up.
    - (override_dh_auto_install): Clean up.
    - Change to DEB_*_MAINT_APPEND variables.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 05 Mar 2012 05:10:16 -0500

ace-of-penguins (1.3-6) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/debian-compile.mk
    - Remove. No longer needed.
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/patches
    - (45): libpng 1.5 transition. Patch thanks to Nobuhiro Iwamatsu
      <iwamatsu@nigauri.org> (FTBFS; Closes: #635741).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 06 Feb 2012 16:05:56 +0200

ace-of-penguins (1.3-5) unstable; urgency=low

  * debian/rules
    - (ICON_NAME, ICON_SRC): New variables.
    - (override_dh_auto_install): Fix icon install (Closes: #649278).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Nov 2011 17:06:22 +0200

ace-of-penguins (1.3-4) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.2.
    - (Vcs-Git): change protocol from http to git.
  * debian/copyright
    - (Format): Update URL.
    - (LGPL-2+): Add.
  * debian/penguin-pegged.png
    - New. (LP #651366; Closes: #649154). Thanks to Ubuntu
      Michael Rawson <michaelrawson76@gmail.com>.
    - See https://bugs.launchpad.net/ubuntu/+source/ace-of-penguins/+bug/651366
  * debian/README.source
    - Fix a small typo.
  * debian/rules
    - (override_dh_auto_install): Install icon.
  * debian/source/include-binaries
    - New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 20:24:10 +0200

ace-of-penguins (1.3-3) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Use debhelper 8.
  * debian/copyright
    - Update to DEP5 layout.
  * debian/patches
    - (40): Fix Gcc 4.5 includes.
  * debian/rules
    - (override_dh_auto_install): Remove *.la (Closes: #621146).
    - (override_dh_auto_test): Update code layout.
    - (override_dh_installdocs): Update code layout.
    - (.PHONY): Add targets test and man.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Apr 2011 16:08:25 +0300

ace-of-penguins (1.3-2) unstable; urgency=low

  * debian/menu
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com> (Closes: #601984).
  * debian/ace-of-penguins.6.orig.man
    - Delete. Obsoleted by POD format.
  * debian/ace-of-penguins.6.pod
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com>.
  * debian/patches
    - (30): New. For the spider game, Fix implicit pointer conversion.
      Patch thanks to Julien Lavergne <gilir@ubuntu.com>, forwarded by
      Artur Rona <ari-tczew@ubuntu.com> (Closes: Bug#601986).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 31 Oct 2010 19:13:50 +0200

ace-of-penguins (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #590119).
    - New game: spider.
    - Game canfield segmentation fault (Closes: #543120).
    - Merge Debian patches (Closes: #60976).
  * ACK NMU changes.
  * Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1. Remove dpatch.
    - (Depends): Add ${misc:Depends}.
    - (Description): add canfield, spider, thornq (Closes: #549872).
    - (Standards-Version): Update to 3.9.1.
  * debian/manpages
    - New file.
  * debian/patches
    - Remove patches included upstream.
    - (10): New. autoreconf -fi (2.65).
    - (20): New. Add missing closedir(), see LP#480628.
  * debian/penguin-spider.desktop
    - New file.
  * debian/rules
    - Rewrite to use dh(1); (FTBFS; Closes: #587126).
  * debian/source/format
    - New file.
  * debian/watch
    - Update to format 3.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 16:30:26 +0300

ace-of-penguins (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Compress manual pages correctly (closes: #587126).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 19 Jul 2010 22:54:03 +0200

ce-of-penguins (1.2-9) unstable; urgency=low

  * GENRAL INFORMATION
    - Summary: the whole package is now patch based.
    - The orginal sources were restored and patches accumulated
      to it were extracted and moved to /debian/patches
    - The original sources were upgraded to latest automake by
      re-libtoolizing with 'autoreconf -fi'. The results were then
      turned into patches. See debian/README.source
  * debian/*.desktop
    - New files. Files submitted by Daniel Dickinson <cshore@wightman.ca>.
      Closes: #478847.
  * debian/*.pod
    - Fix incorrect =item tag.
  * debian/*.lintian-overrides
    - Ignore autoreconf and library notes.
  * debian/copyright
    - Update to new dh-make layout.
    - Add Debian packaging copyrights.
    - Change upstream URL to point to freshmeat.
    - Explicitly spell v2 or any later version (lintian).
  * debian/compat
    - update to 7.
  * debian/control:
    - (Build-Depends): debhelper (>= 7), was 4. Add dpatch.
    - (Description): Replace term 'Unix/X' with 'graphical'.
    - (Vcs-*): Add new fields.
    - (Homepage): Add new field.
    - (Standards-Version): Update to 3.8.2.

