=== debian/control ===
Source: ace-of-penguins
Section: games
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev, libpng-dev, libx11-dev, libxpm-dev, zlib1g-dev
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/ace-of-penguins.git
Vcs-Git: git://git.debian.org/collab-maint/ace-of-penguins.git
Homepage: http://freshmeat.net/projects/theaceofpenguins

Package: ace-of-penguins
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:PreDepends}, ${misc:Depends}, ${shlibs:Depends}
Description: penguin-themed solitaire games
 The Ace of Penguins is a set of solitaire games inspired by the ones
 available for MS Windows, but with a number of enhancements.
 .
 The package consists of the games Canfield, Freecell, Golf,
 Mastermind, Merlin, Minesweeper, Pegged, Solitaire, Spider, Taipei
 (with a level editor), and Thornq.
