=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= ace-of-penguins
PRGPREFIX	= ace-
ICON_NAME	= penguin-pegged.png
ICON_SRC	= debian/penguin-pegged.png

# list of programs taken from games/Makefile
PROGS = \
	canfield \
	freecell \
	golf \
	mastermind \
	merlin \
	minesweeper \
	pegged \
	solitaire \
	spider \
	taipedit \
	taipei \
	thornq

CONFFLAGS = --prefix=/usr --bindir=/usr/games

include debian/debian-vars.mk

# NOTE: The sources won't compile with -pedantic
export DEB_CFLAGS_MAINT_APPEND	= -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MANDIR = $(MANROOTDIR)/man6

#######################################################################

test:
	# target: test

	@echo "# Display commands to test programs. Feed through '| sh'" >&2

	@for prog in $(PROGS); \
	do \
	    echo "$$prog &"; \
	done

man:
	# target: man
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=6 makeman

clean-man:
	# target: clean-man - remove manual page links (will be generated)

	for NAME in $(PROGS); \
	do \
		man=$(DEBDIR)/$(PRGPREFIX)$$NAME.6; \
		rm -f $$man; \
	done || :

build-man: man
	# target: build-man - link pages to master page
	for NAME in $(PROGS); \
	do \
	    man=debian/$(PRGPREFIX)$$NAME.6; \
	    echo ".so man6/ace-of-penguins.6" > $$man; \
	done

override_dh_auto_test:
	# nothing to test

override_dh_clean: clean-man
	#  target: clean - You may safely ignore message "invalid host type"
	if [ -f Makefile ]; then \
	    $(MAKE) \
		to_srcdir="$(TOPDIR)" \
		top_builddir="$(TOPDIR)" \
		clean distclean \
		|| : ; \
	fi

	rm -rf lib/.lib lib/.deps games/.lib games/.deps */*.[ao] *.[ao]

	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_auto_build: build-man
	dh_auto_build

override_dh_installman:
	dh_installman
	# Check that all is in order
	echo "PWD: pwd"
	( cd $(MANDIR) && ls -l )

override_dh_auto_install:
	dh_auto_install

	# rename programs to start with prefix
	for NAME in $(PROGS) ; do \
	    mv $(PKGDIR)/usr/games/$$NAME \
	       $(PKGDIR)/usr/games/$(PRGPREFIX)$$NAME || exit 1; \
	done

	$(INSTALL_DIR) $(PKGDIR)/usr/share/applications
	$(INSTALL_DATA) debian/*.desktop $(PKGDIR)/usr/share/applications

	# delete test program
	rm -f $(PKGDIR)/usr/games/penguins

	# Not used in Debian
	rm -f $(LIBROOTDIR)/*.la

	# Install custom icon
	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)

override_dh_installdocs:
	# Policy: COPYING file is not needed
	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*

%:
	dh $@

.PHONY: test man build-man clean-man

# End of file
