## ace-of-penguins 1.4

=== debian/changelog ===
ace-of-penguins (1.4-0ubuntu2) saucy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - debian/patches:
    + 10-autoreconf-fi--2.65.patch: Drop, replaced by dh-autoreconf. 
    + 20-lib--make-imglib.c-closedir.patch: Drop, merged upstream.
    + 30-spider.c-implicit-pointer-conversion.patch: Drop, merged upstream.
    + 40-include.patch: Drop, merged upstream.
    + 45-libpng15: Refresh.
    + 50-buildflags.patch: : Drop, merged upstream.
    + spider_license_fix.patch: fix filename in license of games/spider.c
     (LP: #978446).
   - debian/control:  Build-depends on dh-autoreconf.
   - debian/rules: Use --with autoreconf.
  * 55-more-buildflags.patch: Backport patch from Debian BTS adding png
    to AM_LDFLAGS to fix FTBFS.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 18 Jun 2013 11:57:55 -0400

ace-of-penguins (1.3-11) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/rules
    - (override_dh_auto_ins): Remove "*.la" file even in multiarch
      (Closes: #621146).
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 May 2013 15:46:47 +0300

ace-of-penguins (1.4-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches:
   - 10-autoreconf-fi--2.65.patch: Drop, replaced by dh-autoreconf. 
   - 20-lib--make-imglib.c-closedir.patch: Drop, merged upstream.
   - 30-spider.c-implicit-pointer-conversion.patch: Drop, merged upstream.
   - 40-include.patch: Drop, merged upstream.
   - 45-libpng15: Refresh.
   - 50-buildflags.patch: : Drop, merged upstream.
   - spider_license_fix.patch: fix filename in license of games/spider.c
     (LP: #978446).
  * debian/control:
   - Build-depends on dh-autoreconf.
  * debian/rules:
   - Use --with autoreconf.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 28 Jan 2013 22:39:07 +0100

ace-of-penguins (1.3-10) unstable; urgency=low

  * debian/series
    - (45): Add libpng 1.5 transition patch. For some reason the line
      was mistankely deleted in 1.3-9.
    - (50): New. Included in 1.3-9 but not listed in changelog.
      Enable CPPFLAGS, thus making full use of hardened build flags
      (hardening=+all) added in 1.3-8. Patch thanks to Simon Ruderich
      <simon@ruderich.org>

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Jul 2012 13:35:26 +0300

ace-of-penguins (1.3-9) unstable; urgency=low

  * debian/control
    - (Recommends): Add xfonts-100dpi. This fixes F1 keypress
      segmentation fault crash on systems which do not already have the font
      installed (Closes: #679875). Thanks to Lukas Hofmann <lhfloss@gmx.de>
      for the patch.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 10 Jul 2012 12:47:52 +0300

ace-of-penguins (1.3-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Enable all hardening flags.
  * debian/ace-of-penguins.6.pod
    - (AUTHORS): Correct typo (Closes: #663892).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 12:24:25 -0400
