=== debian/control ===
Source: ace-of-penguins
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), autotools-dev, libpng-dev, libx11-dev, libxpm-dev, zlib1g-dev, dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/ace-of-penguins.git
Vcs-Git: git://git.debian.org/collab-maint/ace-of-penguins.git
Homepage: http://freshmeat.net/projects/theaceofpenguins

Package: ace-of-penguins
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:PreDepends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-100dpi
Description: penguin-themed solitaire games
 The Ace of Penguins is a set of solitaire games inspired by the ones
 available for MS Windows, but with a number of enhancements.
 .
 The package consists of the games Canfield, Freecell, Golf,
 Mastermind, Merlin, Minesweeper, Pegged, Solitaire, Spider, Taipei
 (with a level editor), and Thornq.
 .
 NOTE: If you experience problems with the F1 help key, please
 make sure you have package xfonts-100dpi installed.
