=== debian/rules ===
--- 
+++ 
@@ -7,30 +7,50 @@
 
 # list of programs taken from games/Makefile
 PROGS = \
-	canfield \
-	freecell \
-	golf \
-	mastermind \
-	merlin \
-	minesweeper \
-	pegged \
-	solitaire \
-	spider \
-	taipedit \
-	taipei \
-	thornq
+ canfield \
+ freecell \
+ golf \
+ mastermind \
+ merlin \
+ minesweeper \
+ pegged \
+ solitaire \
+ spider \
+ taipedit \
+ taipei \
+ thornq
+
+CPPFLAGS = $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+
+CFLAGS = -Wall $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+
+LDFLAGS = -Wl,--as-needed -Wl,-z,now $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
+
+cc := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+
 
 CONFFLAGS = --prefix=/usr --bindir=/usr/games
 
 include debian/debian-vars.mk
 
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+
 # NOTE: The sources won't compile with -pedantic
-export DEB_CFLAGS_MAINT_APPEND	= -Wall
+export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS)
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MANDIR = $(MANROOTDIR)/man6
 
 #######################################################################
+
+override_dh_auto_configure:
+	CC="$(cc)" dh_auto_configure -- $(CONFFLAGS)
+
+override_dh_auto_build: build-man
+	dh_auto_build -- CC="$(cc)" BUILD_CC="$(cc)"
 
 test:
 	# target: test
@@ -81,12 +101,6 @@
 
 	dh_clean
 
-override_dh_auto_configure:
-	dh_auto_configure -- $(CONFFLAGS)
-
-override_dh_auto_build: build-man
-	dh_auto_build
-
 override_dh_installman:
 	dh_installman
 	# Check that all is in order
@@ -109,7 +123,7 @@
 	rm -f $(PKGDIR)/usr/games/penguins
 
 	# Not used in Debian
-	rm -f $(LIBROOTDIR)/*.la
+	find $(PKGDIR) -name "*.la" | xargs --no-run-if-empty rm -f
 
 	# Install custom icon
 	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)
@@ -119,7 +133,7 @@
 	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 .PHONY: test man build-man clean-man
