## ace-of-penguins 1.5~rc2

=== debian/changelog ===
ace-of-penguins (1.5~rc2-7) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. (Closes: #1096274)

 -- Bastian Germann <bage@debian.org>  Fri, 19 Sep 2025 19:53:02 +0300

ace-of-penguins (1.5~rc2-6) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix missing function declaration. (Closes: #1065046, #1066349)

  [ Helmut Grohne ]
  * Fix FTCBFS by removing confusion between build and host compiler flags.
    (Closes: #1058017)

  [ Reiner Herrmann ]
  * Declare that d/rules does not require root.
  * Drop -Wl,--as-needed, which is used by default.
  * Update lintian-overrides to new format and tag names.
  * Use wildcards instead of hardcoded architectures in lintian-overrides.
  * Declare compliance with Debian Policy 4.7.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 04 Apr 2024 19:48:17 +0200

ace-of-penguins (1.5~rc2-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Jan 2023 22:59:18 +0100

ace-of-penguins (1.5~rc2-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Fix FTBFS with GCC 10 (Closes: #956976).

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 29 May 2020 21:23:41 +0200

ace-of-penguins (1.5~rc2-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Fix FTCBFS uses the build architecture compiler.
    - Pass a cross compiler for CC, but not BUILD_CC.
    - Missing Build-Depends: libpng-dev:native, zlib1g-dev:native.
    Thanks to Helmut Grohne for the report and patch. (Closes: #900200)

 -- Markus Koschany <apo@debian.org>  Sun, 26 Aug 2018 01:08:11 +0200

ace-of-penguins (1.5~rc2-2) unstable; urgency=medium

  * Use compat level 11.
  * Use canonical VCS address.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icon.
  * Remove dirs file.
  * Use https for Format field.
  * Add freecell-KDE.patch and fix freecell's start issues on KDE.
    Thanks to Dr. Claudia Neumann for the report and Esa Peuha for the patch.
    (Closes: #883707)

 -- Markus Koschany <apo@debian.org>  Fri, 02 Mar 2018 21:53:00 +0100

ace-of-penguins (1.5~rc2-1) unstable; urgency=medium

  * Imported Upstream version 1.5~rc2.
    - penguin-spider: Pressing buttons 2 or 4 will call the two or four suits
      game again. Thanks to Gunther Furtado for the report and Esa Peuha for
      the patch. (Closes: #810848)
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Jan 2016 20:42:21 +0100

ace-of-penguins (1.5~rc1-1) unstable; urgency=medium

  * New maintainer: Debian Games Team. (Closes: #809995)
  * Add myself to Uploaders.
  * Imported Upstream version 1.5~rc1. (Closes: #808340)
    Thanks to Esa Peuha for the report.
    - Fixes conflicting declarations of struct image_list. (Closes: #749630)
    - Fixes FTBFS with libpng16. (Closes: #809878)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Switch Vcs-* fields to pkg-games.
  * Remove NEWS.Debian. It is obsolete now.
  * Remove Pre-Depends multiarch-support.
    It is not required for Stretch anymore. This also fixes Lintian error
    pre-depends-directly-on-multiarch-support.
  * Remove ${misc:PreDepends} dependency.
  * Make the build reproducible by using the last changelog date as a timestamp
    for the manpage. Thanks to Reiner Herrmann for the report and patch.
    (Closes: #782316)
  * Drop libxpm-dev from Build-Depend because it is no longer needed.
    Thanks to Esa Peuha for the hint.
  * Drop all patches. Applied upstream.
  * Update homepage field and point to delorie.com.
  * desktop files: Update keywords and do not use absolute paths for Exec
    commands.
  * Move all desktop files to debian/desktop subdirectory.
  * Replace penguin-pegged.png icon with upstream's ace.png icon.
  * Provide a new menu icon. (Closes: #737787)
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jan 2016 18:21:53 +0100

ace-of-penguins (1.3-13) unstable; urgency=low

  * debian/patches
    - (31): New. Fix spider.c license (Closes: #668985).
    - (32): New. Fix WM hints on 64-bit, so all
      windows can be moved. Patch thanks to Ove Kåven <ovek@arcticnet.no>.
      (Closes: #538216).
    - (34): New.  Workaround for touchscreen issue.
      Patch thanks to Ove Kåven <ovek@arcticnet.no>.
    - (35): New. Fix return and clang compilation (FTBFS; Closes: #741609).
      Patch thanks to Piotr Sokołowski <piotrsok2@gmail.com>.
    - (55): Add Bug-Debian field.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
  * debian/copyright
    - Update years. Add Steve Langasek.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 Mar 2014 11:23:13 +0200

ace-of-penguins (1.3-12) unstable; urgency=low

  * Team upload
    - This release always runs autoreconf.
  * debian/ace-of-penguins.lintian-overrides
    - Update for the latest messages.
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Remove sed.
  * debian/rules
    - Simplify hardened build flags.
    - (ORIG): New. Preserve original file through autoreconf.
  * debian/source.lintian-overrides
    - Delete. No longer needed (ancient-libtool).
  * debian/*.desktop
    - (Keywords): New field.

  [ Steve Cotton <steve@s.cotton.clara.co.uk> ]
  * debian/control
    - (Build-Depends): Add dh-autoreconf.
  * debian/patches:
    - (50): Adjust linking with -lpng (FTBFS; Closes: 712534).
    - (55): New. (AM_LDFLAGS): Link with -lpng -lz -lm.
  * debian/rules
    - Add --with autoreconf.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Jul 2013 10:57:43 +0300
