=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
+
+-include /usr/share/dpkg/buildtools.mk
+CC_FOR_BUILD ?= $(CC)
 
 PACKAGE		= ace-of-penguins
 PRGPREFIX	= ace-
-ICON_NAME	= penguin-pegged.png
-ICON_SRC	= debian/penguin-pegged.png
+ICON_NAME	= ace.png
+ICON_SRC	= desktop/ace.png
 
 # list of programs taken from games/Makefile
 PROGS = \
@@ -20,17 +23,8 @@
  taipei \
  thornq
 
-CPPFLAGS = $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
-
-CFLAGS = -Wall $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
-
-LDFLAGS = -Wl,--as-needed -Wl,-z,now $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
-
-cc := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
-
+CFLAGS  += -D_FILE_OFFSET_BITS=64
+cc      := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
 CONFFLAGS = --prefix=/usr --bindir=/usr/games
 
@@ -39,8 +33,7 @@
 export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
 
 # NOTE: The sources won't compile with -pedantic
-export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS)
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS) -std=gnu17
 
 MANDIR = $(MANROOTDIR)/man6
 
@@ -50,7 +43,7 @@
 	CC="$(cc)" dh_auto_configure -- $(CONFFLAGS)
 
 override_dh_auto_build: build-man
-	dh_auto_build -- CC="$(cc)" BUILD_CC="$(cc)"
+	dh_auto_build -- CC="$(cc)" BUILD_CC="$(CC_FOR_BUILD)"
 
 test:
 	# target: test
@@ -117,7 +110,7 @@
 	done
 
 	$(INSTALL_DIR) $(PKGDIR)/usr/share/applications
-	$(INSTALL_DATA) debian/*.desktop $(PKGDIR)/usr/share/applications
+	$(INSTALL_DATA) debian/desktop/*.desktop $(PKGDIR)/usr/share/applications
 
 	# delete test program
 	rm -f $(PKGDIR)/usr/games/penguins
@@ -126,14 +119,14 @@
 	find $(PKGDIR) -name "*.la" | xargs --no-run-if-empty rm -f
 
 	# Install custom icon
-	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)
+	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/48x48/apps/$(ICON_NAME)
 
 override_dh_installdocs:
 	# Policy: COPYING file is not needed
 	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 .PHONY: test man build-man clean-man
